%define upstream_name    Term-Choose
%define upstream_version 1.757

%{?perl_default_filter:%perl_default_filter}

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Works as L<Term::Choose>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FindBin)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Term::Choose::Constants\\)

%description
Choose from a list of elements.

Based on the _choose_ function from the the Term::Clui manpage module - for
more details see the /MOTIVATION manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jul 21 2022 tv <tv> 1.757.0-1.mga9
+ Revision: 1869747
- update to 1.757

* Mon Jul 11 2022 tv <tv> 1.756.0-1.mga9
+ Revision: 1868439
- update to 1.756

* Mon Jul 04 2022 tv <tv> 1.755.0-1.mga9
+ Revision: 1867603
- update to 1.755

* Tue Jun 07 2022 tv <tv> 1.754.0-1.mga9
+ Revision: 1863130
- update to 1.754

* Thu May 26 2022 tv <tv> 1.753.0-1.mga9
+ Revision: 1860251
- update to 1.753

* Wed May 18 2022 tv <tv> 1.752.0-1.mga9
+ Revision: 1858654
- update to 1.752

* Mon May 09 2022 tv <tv> 1.751.0-1.mga9
+ Revision: 1857223
- update to 1.751

* Thu May 05 2022 tv <tv> 1.750.0-1.mga9
+ Revision: 1856303
- update to 1.750

* Fri Apr 08 2022 tv <tv> 1.748.0-1.mga9
+ Revision: 1848079
- update to 1.748

* Mon Mar 28 2022 tv <tv> 1.747.0-1.mga9
+ Revision: 1829852
- update to 1.747

* Mon Mar 14 2022 tv <tv> 1.746.0-1.mga9
+ Revision: 1790929
- update to 1.746

* Mon Nov 15 2021 tv <tv> 1.745.0-1.mga9
+ Revision: 1756755
- update to 1.745

* Thu Nov 11 2021 tv <tv> 1.744.0-1.mga9
+ Revision: 1755865
- update to 1.744

* Thu Oct 28 2021 tv <tv> 1.743.0-1.mga9
+ Revision: 1753114
- update to 1.743

* Mon Oct 04 2021 tv <tv> 1.742.0-1.mga9
+ Revision: 1749310
- update to 1.742

* Mon Sep 20 2021 tv <tv> 1.739.0-1.mga9
+ Revision: 1746069
- update to 1.739

* Tue Aug 31 2021 tv <tv> 1.737.0-1.mga9
+ Revision: 1743704
- update to 1.737

* Fri Aug 27 2021 tv <tv> 1.736.0-1.mga9
+ Revision: 1742689
- update to 1.736

* Sat Jul 17 2021 tv <tv> 1.735.0-1.mga9
+ Revision: 1736471
- update to 1.735

* Tue Jun 29 2021 tv <tv> 1.733.0-1.mga9
+ Revision: 1734268
- update to 1.733

* Wed Jun 23 2021 tv <tv> 1.732.0-1.mga9
+ Revision: 1731963
- update to 1.732

* Wed Apr 28 2021 tv <tv> 1.731.0-1.mga9
+ Revision: 1720251
- update to 1.731

* Fri Apr 09 2021 tv <tv> 1.730.0-1.mga9
+ Revision: 1714220
- update to 1.730

* Sat Mar 06 2021 tv <tv> 1.720.0-1.mga9
+ Revision: 1700190
- update to 1.720

* Sat Jan 02 2021 tv <tv> 1.713.0-1.mga8
+ Revision: 1668194
- update to 1.713

* Mon Oct 26 2020 tv <tv> 1.712.0-1.mga8
+ Revision: 1639513
- update to 1.712

* Thu Apr 23 2020 tv <tv> 1.711.0-1.mga8
+ Revision: 1571207
- update to 1.711

* Tue Mar 10 2020 tv <tv> 1.710.0-1.mga8
+ Revision: 1555210
- update to 1.710

* Fri Feb 28 2020 tv <tv> 1.709.0-1.mga8
+ Revision: 1551966
- update to 1.709

* Tue Feb 18 2020 umeabot <umeabot> 1.707.0-2.mga8
+ Revision: 1538599
- Mageia 8 Mass Rebuild

* Sun Nov 24 2019 tv <tv> 1.707.0-1.mga8
+ Revision: 1462586
- update to 1.707

* Fri Nov 22 2019 tv <tv> 1.706.0-1.mga8
+ Revision: 1462194
- update to 1.706

* Sun Oct 20 2019 tv <tv> 1.705.0-1.mga8
+ Revision: 1454783
- update to 1.705

* Mon Oct 14 2019 tv <tv> 1.704.0-1.mga8
+ Revision: 1453033
- update to 1.704

* Mon Sep 23 2019 tv <tv> 1.703.0-1.mga8
+ Revision: 1444715
- update to 1.703

* Sat Sep 14 2019 tv <tv> 1.702.0-1.mga8
+ Revision: 1440699
- update to 1.702

* Sat Sep 14 2019 tv <tv> 1.701.0-1.mga8
+ Revision: 1440582
- update to 1.701

* Sat Sep 07 2019 tv <tv> 1.700.0-1.mga8
+ Revision: 1438259
- update to 1.700

* Mon Aug 05 2019 tv <tv> 1.655.0-1.mga8
+ Revision: 1427494
- update to 1.655

* Mon Jul 08 2019 tv <tv> 1.654.0-1.mga8
+ Revision: 1419640
- update to 1.654

* Fri Jul 05 2019 tv <tv> 1.652.0-1.mga8
+ Revision: 1418732
- update to 1.652

* Wed Jul 03 2019 tv <tv> 1.651.0-1.mga8
+ Revision: 1417898
- update to 1.651

* Mon Jul 01 2019 tv <tv> 1.649.0-1.mga8
+ Revision: 1416723
- update to 1.649

* Sat Jun 29 2019 shlomif <shlomif> 1.648.0-1.mga8
+ Revision: 1415745
- update to 1.648

* Fri Apr 05 2019 shlomif <shlomif> 1.646.0-1.mga7
+ Revision: 1386131
- update to 1.646

* Sun Mar 31 2019 tv <tv> 1.645.0-1.mga7
+ Revision: 1383799
- update to 1.645

* Fri Jan 25 2019 tv <tv> 1.644.0-1.mga7
+ Revision: 1360644
- update to 1.644

* Mon Jan 21 2019 tv <tv> 1.643.0-1.mga7
+ Revision: 1358841
- update to 1.643

* Sat Dec 29 2018 tv <tv> 1.642.0-1.mga7
+ Revision: 1346463
- update to 1.642

* Thu Dec 20 2018 tv <tv> 1.641.0-1.mga7
+ Revision: 1343457
- update to 1.641

* Sat Dec 15 2018 tv <tv> 1.639.0-1.mga7
+ Revision: 1341352
- update to 1.639

* Sat Dec 01 2018 tv <tv> 1.638.0-1.mga7
+ Revision: 1337049
- update to 1.638

* Thu Nov 29 2018 tv <tv> 1.637.0-1.mga7
+ Revision: 1336685
- update to 1.637

* Sat Nov 24 2018 tv <tv> 1.635.0-1.mga7
+ Revision: 1333928
- update to 1.635

* Fri Nov 23 2018 tv <tv> 1.634.0-1.mga7
+ Revision: 1333524
- update to 1.634

* Thu Nov 22 2018 tv <tv> 1.633.0-1.mga7
+ Revision: 1333178
- update to 1.633

* Sun Nov 18 2018 tv <tv> 1.632.0-1.mga7
+ Revision: 1330625
- update to 1.632

* Tue Nov 13 2018 tv <tv> 1.628.0-1.mga7
+ Revision: 1329719
- update to 1.628

* Thu Sep 20 2018 umeabot <umeabot> 1.627.0-2.mga7
+ Revision: 1286385
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.627.0-1.mga7
+ Revision: 1254041
- update to 1.627

* Fri Jun 22 2018 shlomif <shlomif> 1.518.0-1.mga7
+ Revision: 1238938
- update to 1.518

* Mon Apr 23 2018 shlomif <shlomif> 1.516.0-1.mga7
+ Revision: 1221592
- update to 1.516

* Mon Apr 09 2018 kekepower <kekepower> 1.514.0-1.mga7
+ Revision: 1216718
- Update to version 1.514

* Wed Mar 07 2018 shlomif <shlomif> 1.513.0-1.mga7
+ Revision: 1207285
- update to 1.513

* Sun Feb 25 2018 shlomif <shlomif> 1.511.0-1.mga7
+ Revision: 1205011
- update to 1.511

* Mon Jan 08 2018 shlomif <shlomif> 1.509.0-1.mga7
+ Revision: 1191682
- update to 1.509

* Tue Oct 03 2017 tv <tv> 1.507.0-2.mga7
+ Revision: 1166690
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.507.0-1.mga7
+ Revision: 1159466
- update to 1.507

* Wed Aug 02 2017 sander85 <sander85> 1.506.0-1.mga7
+ Revision: 1134150
- update to 1.506

* Sun Jun 19 2016 pterjan <pterjan> 1.504.0-2.mga6
+ Revision: 1033921
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.504.0-1.mga6
+ Revision: 1002307
- update to 1.504
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 1.208.0-1.mga6
+ Revision: 903253
- new release

* Wed Oct 14 2015 sander85 <sander85> 1.207.0-1.mga6
+ Revision: 891529
- update to 1.207

* Mon Sep 28 2015 sander85 <sander85> 1.205.0-1.mga6
+ Revision: 884815
- update to 1.205

* Mon Jul 06 2015 sander85 <sander85> 1.202.0-1.mga6
+ Revision: 851961
- update to 1.202

* Wed Oct 15 2014 umeabot <umeabot> 1.116.0-5.mga5
+ Revision: 741707
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 1.116.0-4.mga5
+ Revision: 736315
- add exclude

* Tue Sep 23 2014 tv <tv> 1.116.0-3.mga5
+ Revision: 722232
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1.116.0-2.mga5
+ Revision: 686364
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 1.116.0-1.mga5
+ Revision: 672914
- update to 1.116

* Thu Sep 04 2014 sander85 <sander85> 1.115.0-1.mga5
+ Revision: 671894
- update to 1.115

* Fri Aug 15 2014 sander85 <sander85> 1.114.0-1.mga5
+ Revision: 662577
- update to 1.114

* Sun Aug 03 2014 sander85 <sander85> 1.113.0-1.mga5
+ Revision: 659383
- update to 1.113

* Wed Jul 30 2014 sander85 <sander85> 1.112.0-1.mga5
+ Revision: 658134
- update to 1.112

* Wed Jul 16 2014 sander85 <sander85> 1.111.0-1.mga5
+ Revision: 653197
- update to 1.111

* Sat Jun 28 2014 sander85 <sander85> 1.110.0-1.mga5
+ Revision: 640863
- update to 1.110

* Fri May 23 2014 sander85 <sander85> 1.109.0-1.mga5
+ Revision: 625125
- update to 1.109

* Tue May 06 2014 jquelin <jquelin> 1.108.0-1.mga5
+ Revision: 620764
- update to 1.108

* Tue Apr 15 2014 jquelin <jquelin> 1.107.0-1.mga5
+ Revision: 614997
- update to 1.107

* Tue Mar 25 2014 jquelin <jquelin> 1.105.0-1.mga5
+ Revision: 608429
- update to 1.105

* Fri Mar 14 2014 jquelin <jquelin> 1.104.0-1.mga5
+ Revision: 603736
- update to 1.104

* Thu Mar 13 2014 jquelin <jquelin> 1.103.0-1.mga5
+ Revision: 603014
- update to 1.103

* Mon Feb 24 2014 jquelin <jquelin> 1.74.0-1.mga5
+ Revision: 596365
- update to 1.074

* Mon Oct 21 2013 umeabot <umeabot> 1.64.0-2.mga4
+ Revision: 537571
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.64.0-1.mga4
+ Revision: 487279
- update to 1.064

* Sun Sep 08 2013 sander85 <sander85> 1.61.0-1.mga4
+ Revision: 476112
- update to 1.061

* Sun Aug 25 2013 sander85 <sander85> 1.58.0-1.mga4
+ Revision: 471663
- update to 1.058

* Mon Aug 12 2013 sander85 <sander85> 1.57.0-1.mga4
+ Revision: 465711
- update to 1.057

* Wed Jun 26 2013 jquelin <jquelin> 1.55.0-1.mga4
+ Revision: 447104
- update to 1.055

* Mon Jun 10 2013 jquelin <jquelin> 1.51.0-1.mga4
+ Revision: 441778
- update to 1.051

* Sat Jun 01 2013 takashi <takashi> 1.48.0-2.mga4
+ Revision: 433958
- Upload to 1.048

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 373206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.20.0-1.mga3
+ Revision: 342678
- update to 1.020

* Wed Nov 14 2012 jquelin <jquelin> 1.16.0-1.mga3
+ Revision: 317753
- update to 1.016

* Wed Nov 07 2012 jquelin <jquelin> 1.15.0-1.mga3
+ Revision: 315861
- update to 1.015

* Mon Oct 15 2012 jquelin <jquelin> 1.14.0-1.mga3
+ Revision: 306231
- update to 1.014

* Tue Oct 09 2012 jquelin <jquelin> 1.12.0-1.mga3
+ Revision: 303828
- imported package perl-Term-Choose

